#
# spec file for package switchboard-plug-datetime
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define         appid io.elementary.settings.datetime
Name:           switchboard-plug-datetime
Version:        8.1.0
Release:        1.2
Summary:        Plug to configure the date and time for the user
License:        GPL-3.0-or-later
URL:            https://github.com/elementary/switchboard-plug-datetime
Source0:        %{url}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  cmake
BuildRequires:  fdupes
BuildRequires:  meson
BuildRequires:  pkgconfig
BuildRequires:  vala
BuildRequires:  pkgconfig(granite-7)
BuildRequires:  pkgconfig(gtk4)
BuildRequires:  pkgconfig(libadwaita-1)
BuildRequires:  pkgconfig(libical)
BuildRequires:  pkgconfig(libical-glib)
BuildRequires:  pkgconfig(switchboard-3)
Requires:       switchboard

%description
Date, time and timezone management for Elementary through a Switchboard plug.

%lang_package

%prep
%autosetup

%build
%meson
%meson_build

%install
%meson_install
%fdupes %{buildroot}%{_datadir}
%find_lang %{appid}

%files
%license COPYING
%doc README.md
%dir %{_libdir}/{switchboard-3,switchboard-3/system}
%{_libdir}/switchboard-3/system/libdatetime.so
%{_datadir}/metainfo/%{appid}.metainfo.xml

%files lang -f %{appid}.lang

%changelog
* Tue Nov 12 2024 Richard Rahl <rrahl0@opensuse.org>
- Require switchboard at runtime
* Thu Oct 10 2024 Richard Rahl <rrahl0@opensuse.org>
- update to 8.1.0:
  * Updated translations
* Fri Aug  9 2024 Richard Rahl <rrahl0@opensuse.org>
- update to 8.0.0:
  * Improved screen reader support
  * Updated translations
- update to 2.2.0:
  * Move timezone popover contents to the main view
  * Add options to show or hide the date, weekday, and seconds in the clock
  * Updated translations
- update to 2.1.9:
  * Updated translations
  * Fix potential freeze when changing settings from multiple panes
  * Updated translations
- update to 2.1.8:
  * Updated translations
- update to 2.1.7:
  * Updated translations
* Thu Aug 29 2019 Alexei Podvalsky <avvissu@yandex.by>
- Update to 2.1.6:
  * New upstream release.
* Tue Mar 12 2019 Alexei Podvalsky <avvissu@yandex.by>
- Update to 2.1.5:
  * New upstream release.
* Fri Dec 28 2018 Jan Engelhardt <jengelh@inai.de>
- Fix grammar in description again.
- Use noun phrase in summary.
* Thu Nov  8 2018 Alexei Podvalsky <avvissu@yandex.by>
- Add regex for filtering provided libraries
* Wed Oct 17 2018 Alexei Podvalsky <avvissu@yandex.by>
- Update to 2.1.4:
  * New upstream release.
* Mon Jun 11 2018 avvissu@yandex.by
- Update to 0.1.3:
  * New upstream release.
* Sat Jun  9 2018 avvissu@yandex.by
- Switch to github
- Switch to meson
- Add COPYING and README files
- Spec file cleanup
* Tue Jun 13 2017 jengelh@inai.de
- Rectify grammar issues in descriptions.
* Sat Apr 22 2017 avvissu@yandex.by
- Update to 0.1.2:
  * Add a setting to show/hide week numbers (#22)
  * Fix widget alignment and spacing (#20)
  * Don't try to be clever and hide options (#21)
  * change time format combo for modebutton (#15)
  * Move widgets to widgets folder (#16)
  * add missing quote (#19)
  * Change incorrect data in cmake (#18)
  * Add Travis CI (#17)
  * Plug.vala: minor cleanups (#14)
  * Update and rename INSTALL to README.md (#13)
  * Launchpad automatic translations update.
  * Update translations template
  * Implement Preference Opening API
* Sun Sep 18 2016 avvissu@yandex.by
- Update to 0.1.1.1
- Use cmake macro
- Spec file cleanup
* Sat Feb 27 2016 mailaender@opensuse.org
- initial packaging of version 0.1.0.2
